JettyWebContainer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JettyWebContainer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JettyWebContainer

All Superinterfaces:
  J2EEWebContainer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareContainer, WebContainer

    public interface JettyWebContainer

extends J2EEWebContainer

JettyWebContainer

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`RUNNING, STOPPED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getBacklog()`
`boolean` | `getDownloadServerClasses()`
`boolean` | `getJava2ClassLoadingCompliance()`
`boolean` | `getLenientEJBLink()`
`HTTPConnector[]` | `getListener()`
`java.lang.String` | `getRootWebApp()`
`java.lang.String` | `getSubjectAttributeName()`
`boolean` | `getSupportJSR77()`
`boolean` | `getUnpackWars()`
`java.lang.String` | `getWebDefaultResource()`
`J2EEModule[]` | `getWebModule()`
`boolean` | `hasBacklog()`
`boolean` | `hasDownloadServerClasses()`
`boolean` | `hasJava2ClassLoadingCompliance()`
`boolean` | `hasLenientEJBLink()`
`boolean` | `hasListener()`
`boolean` | `hasRootWebApp()`
`boolean` | `hasSubjectAttributeName()`
`boolean` | `hasSupportJSR77()`
`boolean` | `hasUnpackWars()`
`boolean` | `hasWebDefaultResource()`
`boolean` | `hasWebModule()`
`void` | `setBacklog(int backlog)`
`void` | `setDownloadServerClasses(boolean downloadServerClasses)`
`void` | `setJava2ClassLoadingCompliance(boolean classLoading)`
`void` | `setLenientEJBLink(boolean lenientEJBLink)`
`void` | `setListener(HTTPConnector[] connector)`
`void` | `setRootWebApp(java.lang.String rootWebApp)`
`void` | `setSubjectAttributeName(java.lang.String subject)`
`void` | `setSupportJSR77(boolean downloadServerClasses)`
`void` | `setUnpackWars(boolean unpackWars)`
`void` | `setWebDefaultResource(java.lang.String resource)`
`void` | `setWebModule(J2EEModule[] connector)`

Methods inherited from interface com.collation.platform.model.topology.app.web.WebContainer
`getDirectives, getServerRoot, getUser, getVirtualHosts, hasDirectives, hasServerRoot, hasUser, hasVirtualHosts, setDirectives, setServerRoot, setUser, setVirtualHosts`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`getBindAddresses, getName, getParent, getStatus, hasBindAddresses, hasName, hasParent, hasStatus, setBindAddresses, setName, setParent, setStatus`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getJava2ClassLoadingCompliance

    boolean getJava2ClassLoadingCompliance()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJava2ClassLoadingCompliance

    void setJava2ClassLoadingCompliance(boolean classLoading)

### hasJava2ClassLoadingCompliance

    boolean hasJava2ClassLoadingCompliance()

### getSubjectAttributeName

    java.lang.String getSubjectAttributeName()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSubjectAttributeName

    void setSubjectAttributeName(java.lang.String subject)

### hasSubjectAttributeName

    boolean hasSubjectAttributeName()

### getUnpackWars

    boolean getUnpackWars()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUnpackWars

    void setUnpackWars(boolean unpackWars)

### hasUnpackWars

    boolean hasUnpackWars()

### getLenientEJBLink

    boolean getLenientEJBLink()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLenientEJBLink

    void setLenientEJBLink(boolean lenientEJBLink)

### hasLenientEJBLink

    boolean hasLenientEJBLink()

### getDownloadServerClasses

    boolean getDownloadServerClasses()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDownloadServerClasses

    void setDownloadServerClasses(boolean downloadServerClasses)

### hasDownloadServerClasses

    boolean hasDownloadServerClasses()

### getBacklog

    int getBacklog()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBacklog

    void setBacklog(int backlog)

### hasBacklog

    boolean hasBacklog()

### getSupportJSR77

    boolean getSupportJSR77()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSupportJSR77

    void setSupportJSR77(boolean downloadServerClasses)

### hasSupportJSR77

    boolean hasSupportJSR77()

### getWebDefaultResource

    java.lang.String getWebDefaultResource()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWebDefaultResource

    void setWebDefaultResource(java.lang.String resource)

### hasWebDefaultResource

    boolean hasWebDefaultResource()

### getListener

    HTTPConnector[] getListener()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setListener

    void setListener(HTTPConnector[] connector)

### hasListener

    boolean hasListener()

### getWebModule

    J2EEModule[] getWebModule()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DeployedOn" reverse="true"

### setWebModule

    void setWebModule(J2EEModule[] connector)

### hasWebModule

    boolean hasWebModule()

### getRootWebApp

    java.lang.String getRootWebApp()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRootWebApp

    void setRootWebApp(java.lang.String rootWebApp)

### hasRootWebApp

    boolean hasRootWebApp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD